package gve.calc.formula;

public final class StandardFunctions {
	public final static void registerFunctions(Evaluator evaluator) {
		Function f;
		f = new gve.calc.logic.LogicFunctions();
		evaluator.setFunction("freevar",f);
		evaluator.setFunction("subst",f);
		evaluator.setFunction("vars",f);	// not implemented!

		f = new GoniomFunctions();
		evaluator.setFunction("sin",f);
		evaluator.setFunction("cos",f);

		f = new AnalysisFunctions();
		evaluator.setFunction("abs",f);
	}
}
