package gve.calc.formula;

public class Boolean extends StaticString {
	boolean value;

	public Boolean(boolean val) {
		value = val;
	}

	public String getName() { return ""+value; }

	public Object clone() { return new Boolean(value); }

	public Part evaluate(Evaluator ev) {
		return new Boolean(value);
	}

	public boolean getBooleanValue() { return value; }

	public String toString() { return "Boolean["+value+"]"; }
}
