/*	Copyright (C) 2001, Geert Vernaeve. All Rights Reserved.	*/
package gve.calc.logic;

import java.util.Hashtable;
import gve.calc.formula.*;

/** This class records the best match currently found for a proof rule */

public class ProofSuccess {
	public int bestLine = -1;
	public Matcher match;
	public ProofSuccess() {}

	/** The proof checker has reached this state. If it is a better state
	 * than the previous best, then record it. */
	public void record(int line,Matcher m) {
		if (line <= bestLine) return;
		// record
		bestLine = line;
		match = new Matcher(m);
	}
}
